.titleBar { margin-bottom: 5px!important; }

[gelöst] MeetMe mit Asterisk 1.0.6 und Suse 9.2

Dieses Thema im Forum "Asterisk Allgemein" wurde erstellt von tosh, 2 März 2005.

  1. tosh

    tosh Neuer User

    Registriert seit:
    23 Feb. 2005
    Beiträge:
    53
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    <EDIT>
    Bin zurückgegangen auf Asterisk 1.0.3 STABLE nach Anleitung in der FAQ, jetzt haut es hin.
    </EDIT>

    Hallo,

    ich habe nach einigem Probieren Asterisk 1.0.6 auf Suse 9.2 mit Chan_Capi zum laufen bekommen. Alles wunderbar, nur leider fehlt MeetMe. Es ist beim kompilieren von Asterisk nicht mitkompiliert worden und lässt sich auch per make unter /usr/src/asterisk/apps nicht separat installieren. Die Pfade im Makefile habe ich (denke ich zumindest) korrekt angepasst. Zaptel ist installiert, ztdummy läuft. Die Fehlermeldung sieht so aus:

    Code:
    cc -fPIC   -c -o app_dial.o app_dial.c
    In file included from app_dial.c:14:
    /usr/include/asterisk/lock.h: In function `ast_mutex_init':
    /usr/include/asterisk/lock.h:302: error: `PTHREAD_MUTEX_RECURSIVE' undeclared (first use in this function)
    /usr/include/asterisk/lock.h:302: error: (Each undeclared identifier is reported only once
    /usr/include/asterisk/lock.h:302: error: for each function it appears in.)
    make: *** [app_dial.o] Error 1
    
    Ich freue mich über jede Idee.

    Gruß

    tosh